Package it.ernytech.tdlib

## Class TdApi.Error

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Error

Enclosing class:
  TdApi

    public static class TdApi.Error
    extends TdApi.Object

An object of this type can be returned on every function call, in case of an error.

### Field Summary

Fields
`int` `code` Error code; subject to future changes.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `message` Error message; subject to future changes.

### Constructor Summary

Constructors
`Error()` Default constructor.
`Error​(int code, java.lang.String message)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### code

    public int code

Error code; subject to future changes. If the error code is 406, the error message must not be processed in any way and must not be displayed to the user.

#### message

    public java.lang.String message

Error message; subject to future changes.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Error

    public Error()

Default constructor.

#### Error

    public Error​(int code,
                 java.lang.String message)

Constructor for initialization of all fields.

Parameters:
  `code` - Error code; subject to future changes. If the error code is 406, the error message must not be processed in any way and must not be displayed to the user.
  `message` - Error message; subject to future changes.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR